nav {
    justify-content: space-around;
}

.nav-item-main {
    width: 45px;
    height: 45px;
    padding: 2px 5px;
    margin: 0
}

#nav-burger-label {
    display: initial;
}

#nav-middle,
#nav-right {
    display: none;
}

#nav-burger-checkbox:checked~#nav-subcontainer {
    background-color: var(--blue-mygamedb);
    height: 100vh;
    display: block;
}

#nav-burger-checkbox:checked~#nav-subcontainer #nav-left {
    padding-top: 80px;
    margin-left: 0;
    display: flex;
    width: 100%;
    justify-content: center;
    flex-wrap: wrap;
}

#nav-profile-container {
    position: relative;
    width: 100%;
    padding: 0;
}

#nav-username {
    position: absolute;
    left: 50px
}

.nav-item-main picture {
    height: 28px;
    width: 28px;
}

#nav-burger-checkbox:checked~#nav-subcontainer #nav-middle,
#nav-burger-checkbox:checked~#nav-subcontainer #nav-right {
    display: flex;
    width: 100%;
    justify-content: flex-start;
    flex-wrap: wrap;
}

.nav-ripple {
    transform-origin: 0 50%;
}

#nav-burger-checkbox:checked~#nav-subcontainer #nav-item-selected .nav-ripple,
#nav-burger-checkbox:checked~#nav-subcontainer #nav-item-selected:hover .nav-ripple,
#nav-burger-checkbox:checked~#nav-subcontainer .nav-item-not-selected:hover .nav-ripple {

    width: 100%;
    height: 100%;
}

#nav-burger-checkbox:checked~#nav-subcontainer .nav-item-main {
    width: 100%;
    justify-content: flex-start;
    position: relative;
}

#nav-burger-checkbox:checked~#nav-subcontainer #nav-left .nav-item-main {
    justify-content: center;
}

#nav-burger-checkbox:checked~#nav-subcontainer .nav-item-main span {
    position: absolute;
}

.nav-item-main span {
    display: initial;
    color: white;
    margin-left: 50px;
}

#nav-burger-checkbox:checked~#nav-subcontainer .nav-ripple {
    border-radius: 0;
}

#index-little-description {
    margin: 10px 5px;
}

.indexBackWhiteGreen,
#index-mobygames-container,
#index-google-container {
    padding: 10px 5px;
}

#index-categories-container {
    margin: 5px auto;
}

.index-category-container {
    margin: 15px 5px;
}

h1 {
    margin: 10px 0 5px 0;
}

h2 {
    margin: 8px 0 3px 0;
}

#container {
    padding: 10px 0;
    max-width: 100%;
}

#middle-container,
#middle-container-main,
#middle-container-main-games-requests,
#middle-container-main-games-to-validate-requests,
#middle-container-main-barcodes-requests,
#middle-duplicates-container-main,
#middle-barcodes-container-main {
    padding: 10px 2px;
    margin: 0;
}

.middle-element-container {
    margin: 2px;
}

.middle-element-absolute-menu-button,
.middle-element-absolute-menu-button-information,
.middle-element-absolute-menu-button-members,
.middle-element-absolute-menu-button-opinions,
.middle-element-absolute-menu-button-saves {
    font-size: 10pt;
}

#statistics-container-popup {
    padding: 5px;
}

.graph-container-little,
.graph-container-big {
    margin: 2px;
}

.platform-container,
.award-container,
.statistics-middle-element-container,
.news-container {
    padding: 3px;
}

.private-message-subject-middle-element {
    margin: 0;
}

.button-main-orange {
    margin: 2px;
    font-size: 14pt;
    padding: 8px 15px;
}

#middle-form-private-message,
#middle-form {
    margin: 10px auto;
    padding: 5px;
    width: 100%;
}

#profile-container {
    flex-wrap: wrap;
}

#profile-left,
#profile-right {
    width: 100%;
    margin: 5px;
    padding: 5px;
}

.private-message-container {
    flex-wrap: wrap;
    margin-bottom: 15px;
}

.private-message-author {
    width: 100%;
}

#middle-form-search input[type=search],
#middle-form-offset-games input[type=search],
#middle-form-offset-pictures input[type=search],
#middle-form-metascore input[type=search],
#csv-uploader-label,
.file-picker-label {
    width: 100%;
}

#middle-form-absolute {
    padding: 5px 10px;
}

#middle-form textarea,
#middle-form input[type=text],
#middle-form input[type=password],
#middle-form input[type=email],
#middle-form input[type=date],
#middle-form select,
#middle-form input[type=number],
#middle-form-search input[type=search],
#middle-form-offset-games input[type=search],
#middle-form-offset-pictures input[type=search],
#middle-form-absolute input[type=text],
#middle-form-absolute input[type=email],
#middle-form-absolute input[type=date],
#middle-form-absolute input[type=password],
#middle-form-absolute select,
#middle-form-absolute input[type=number],
#middle-form-absolute textarea,
#middle-form-delete input[type=text],
#middle-form-private-message textarea,
#middle-form-private-message input[type=text],
#middle-form-private-message select,
#csv-uploader-label,
.file-picker-label {
    font-size: 14pt;
    padding: 4px 15px;
    margin: 2px 0;
}

#middle-form-search,
#middle-form-search-csv {
    width: 500px;
}

#nav-settings-menu {
    right: auto;
}

#nav-profile-menu {
    right: auto;
}

.nav-menu {
    left: 30%;
}

@keyframes display-submenu {
    0% {
        top: 340%;
        opacity: 0;
    }

    100% {
        top: 350%;
        opacity: 1;
    }
}

@keyframes hide-submenu {
    0% {
        top: 350%;
        opacity: 1;
    }

    100% {
        top: 340%;
        opacity: 0;
    }
}